> ## Documentation Index
> Fetch the complete documentation index at: https://docs.pricenow.ch/llms.txt
> Use this file to discover all available pages before exploring further.

# Patch apiaccountscurrentnewsletter

> Update the newsletter status for the current account



## OpenAPI

````yaml https://pratiq-docs.s3.eu-west-1.amazonaws.com/open-api/production/public/2025-02-18.json patch /api/accounts/current/newsletter
openapi: 3.0.0
info:
  title: Pricenow API
  version: '2025-02-18'
servers:
  - url: https://api.pricenow.dev
    description: Production Endpoint
security: []
tags: []
paths:
  /api/accounts/current/newsletter:
    patch:
      tags:
        - accounts
      description: Update the newsletter status for the current account
      parameters:
        - name: accept-language
          in: header
          description: Language of the response
          required: false
          schema:
            type: string
            enum:
              - en
              - de
              - fr
              - it
        - name: pratiq-channel-uuid
          in: header
          description: UUID of the sales channel
          required: false
          schema:
            type: string
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                status:
                  type: boolean
              required:
                - status
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    $ref: '#/components/schemas/Newsletter'
                required:
                  - data
components:
  schemas:
    Newsletter:
      type: object
      properties:
        status:
          type: boolean
        system:
          type: string
          enum:
            - WILKEN
          nullable: true
        name:
          type: string
      required:
        - status
        - system
        - name

````